cups-pdf always classed as OBSOLETE and removed during update-manager process.

Bug #457221 reported by PaulW
78
This bug affects 17 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Fix Released
Medium
Brian Murray

Bug Description

Binary package hint: cups-pdf

Whenever I run update-manager, after it has completed and it prompts me about removing any obsolete packages, cups-pdf is always listed and removed. I then have to manually re-install cups-pdf package each and every time after an update.

ProblemType: Bug
Architecture: amd64
Date: Wed Oct 21 14:56:36 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: cups-pdf (not installed)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: cups-pdf
Uname: Linux 2.6.31-14-generic x86_64

Revision history for this message
PaulW (paulw) wrote :
affects: cups-pdf (Ubuntu) → update-manager (Ubuntu)
Revision history for this message
Ajay (atallam) wrote :

Just updated to 9.10 today (via net) and it is still doing it.

Revision history for this message
Mark Edgington (edgimar) wrote :

I was forced to do a partial distribution upgrade today -- same problem still -- cups-pdf is marked as obsolete. (using 10.04)

Revision history for this message
Robert Roth (evfool) wrote :

Thank you for reporting this bug to Ubuntu. Karmic reached EOL on April 30, 2011.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

I've tried recreating this bug with Oneiric and was unable to, given the information you've provided. Please either a) upgrade and test or b) increase the verbosity of the steps to recreate it so we can try again.

Please feel free to report any other bugs you may find.

Changed in update-manager (Ubuntu):
status: New → Incomplete
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for update-manager (Ubuntu) because there has been no activity for 60 days.]

Changed in update-manager (Ubuntu):
status: Incomplete → Expired
Revision history for this message
Javier Paniagua Laconich (jpaniagualaconich) wrote :

Still affecting ubuntu quantal...

Changed in update-manager (Ubuntu):
status: Expired → Confirmed
Revision history for this message
oriolpont (oriolpont) wrote :

As pointed out by brian-murray in Bug #987026 cups-pdf is obsoleted in DistUpgrade.cfg
https://bugs.launchpad.net/ubuntu/+source/ubuntu-release-upgrader/+bug/987026/comments/7

affects: update-manager (Ubuntu) → ubuntu-release-upgrader (Ubuntu)
Revision history for this message
Brian Murray (brian-murray) wrote :

To make things easier here is my comment:

It's actually ubuntu-release-upgrader that handles the distribution upgrade logic now and it does have some logic for dealing with specific packages. This can be seen in DistUpgrade.cfg:

# information about the individual meta-pkgs
[ubuntu-desktop]
KeyDependencies=lightdm, unity, ubuntu-artwork, ubuntu-sounds
# those pkgs will be marked remove right after the distUpgrade in the cache
PostUpgradeRemove=xscreensaver, gnome-cups-manager, powermanagement-interface, deskbar-applet, nautilus-cd-burner
ForcedObsoletes=desktop-effects, cups-pdf, gnome-app-install, policykit-gnome, gnome-mount

and I believe it was put in ForcedObsoletes when cups-pdf became unseeded.

update-manager (1:0.93.4) intrepid; urgency=low

  * DistUpgrade/removal_blacklist.cfg:
    - add openssh-blacklist-extra and openssh-extra
  * UpdateManager/UpdateManager.py:
    - do not crash if lsb_release can not be run (LP: #255319)
  * DistUpgrade/DistUpgradeApport.py:
    - do not generate apport reports against a package if
      the error indicates that its a full disk, this is a bug
      in update-manager than (failed to do the full disk checking)
  * DistUpgrade/DistUpgrade.cfg:
    - force obsoletion of cups-pdf on ubuntu-desktop, kubuntu-desktop
      and xubuntu-desktop
  * DistUpgrade/DistUpgradeController.py:
    - increase KERNEL_INITRD_SIZE a bit

 -- Michael Vogt <email address hidden> Fri, 15 Aug 2008 19:40:46 +0200

Changed in ubuntu-release-upgrader (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
Changed in ubuntu-release-upgrader (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:0.192.9

---------------
ubuntu-release-upgrader (1:0.192.9) raring; urgency=low

  [ Barry Warsaw ]
  * Fix UnboundLocalError caused by corner case in the Python 3 language
    spec. (LP: #1102593)

  [ Jonathan Riddell ]
  * Use correct argument for frontend in kubuntu-devel-release-upgrade

  [ Brian Murray ]
  * Remove cups-pdf from ForcedObsoletes in DistUpgrade.cfg (LP: #457221)
 -- Brian Murray <email address hidden> Thu, 18 Apr 2013 13:10:08 -0700

Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers